--- old/usr/src/uts/sun4u/cpu/us3_common_asm.s	Thu Nov 14 19:00:42 2019
+++ new/usr/src/uts/sun4u/cpu/us3_common_asm.s	Thu Nov 14 19:00:42 2019
@@ -25,9 +25,7 @@
  * Assembly code support for Cheetah/Cheetah+ modules
  */
 
-#if !defined(lint)
 #include "assym.h"
-#endif	/* !lint */
 
 #include <sys/asm_linkage.h>
 #include <sys/mmu.h>
@@ -51,8 +49,6 @@
 #include <sys/traptrace.h>
 #endif /* TRAPTRACE */
 
-#if !defined(lint)
-
 /* BEGIN CSTYLED */
 
 #define	DCACHE_FLUSHPAGE(arg1, arg2, tmp1, tmp2, tmp3)			\
@@ -169,21 +165,10 @@
 
 /* END CSTYLED */
 
-#endif	/* !lint */
-
 /*
  * Cheetah MMU and Cache operations.
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-vtag_flushpage(caddr_t vaddr, uint64_t sfmmup)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(vtag_flushpage)
 	/*
 	 * flush page from the tlb
@@ -252,16 +237,6 @@
 	wrpr	%g0, %o5, %pstate		/* enable interrupts */
 	SET_SIZE(vtag_flushpage)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-void
-vtag_flushall(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP2(vtag_flushall, demap_all)
 	/*
 	 * flush the tlb
@@ -276,18 +251,7 @@
 	SET_SIZE(demap_all)
 	SET_SIZE(vtag_flushall)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-
-/* ARGSUSED */
-void
-vtag_flushpage_tl1(uint64_t vaddr, uint64_t sfmmup)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(vtag_flushpage_tl1)
 	/*
 	 * x-trap to flush page from tlb and tsb
@@ -332,18 +296,7 @@
 	retry
 	SET_SIZE(vtag_flushpage_tl1)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-
-/* ARGSUSED */
-void
-vtag_flush_pgcnt_tl1(uint64_t vaddr, uint64_t sfmmup_pgcnt)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(vtag_flush_pgcnt_tl1)
 	/*
 	 * x-trap to flush pgcnt MMU_PAGESIZE pages from tlb
@@ -422,17 +375,6 @@
 	retry
 	SET_SIZE(vtag_flush_pgcnt_tl1)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-vtag_flushall_tl1(uint64_t dummy1, uint64_t dummy2)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(vtag_flushall_tl1)
 	/*
 	 * x-trap to flush tlb
@@ -443,18 +385,7 @@
 	retry
 	SET_SIZE(vtag_flushall_tl1)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-
-/* ARGSUSED */
-void
-vac_flushpage(pfn_t pfnum, int vcolor)
-{}
-
-#else	/* lint */
-
 /*
  * vac_flushpage(pfnum, color)
  *	Flush 1 8k page of the D-$ with physical page = pfnum
@@ -479,18 +410,7 @@
 	  nop
 	SET_SIZE(vac_flushpage)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-
-/* ARGSUSED */
-void
-vac_flushpage_tl1(uint64_t pfnum, uint64_t vcolor)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(vac_flushpage_tl1)
 	/*
 	 * x-trap to flush page from the d$
@@ -501,18 +421,7 @@
 	retry
 	SET_SIZE(vac_flushpage_tl1)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-
-/* ARGSUSED */
-void
-vac_flushcolor(int vcolor, pfn_t pfnum)
-{}
-
-#else	/* lint */
-
 	ENTRY(vac_flushcolor)
 	/*
 	 * %o0 = vcolor
@@ -525,18 +434,7 @@
 	  nop
 	SET_SIZE(vac_flushcolor)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-
-/* ARGSUSED */
-void
-vac_flushcolor_tl1(uint64_t vcolor, uint64_t pfnum)
-{}
-
-#else	/* lint */
-
 	ENTRY(vac_flushcolor_tl1)
 	/*
 	 * %g1 = vcolor
@@ -548,18 +446,6 @@
 	retry
 	SET_SIZE(vac_flushcolor_tl1)
 
-#endif	/* lint */
-
-#if defined(lint)
- 
-int
-idsr_busy(void)
-{
-	return (0);
-}
-
-#else	/* lint */
-
 /*
  * Determine whether or not the IDSR is busy.
  * Entry: no arguments
@@ -576,22 +462,6 @@
 	nop
 	SET_SIZE(idsr_busy)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/* ARGSUSED */
-void
-init_mondo(xcfunc_t *func, uint64_t arg1, uint64_t arg2)
-{}
-
-/* ARGSUSED */
-void
-init_mondo_nocheck(xcfunc_t *func, uint64_t arg1, uint64_t arg2)
-{}
-
-#else	/* lint */
-
 	.global _dispatch_status_busy
 _dispatch_status_busy:
 	.asciz	"ASI_INTR_DISPATCH_STATUS error: busy"
@@ -645,20 +515,9 @@
 	SET_SIZE(init_mondo_nocheck)
 	SET_SIZE(init_mondo)
 
-#endif	/* lint */
 
-
 #if !(defined(JALAPENO) || defined(SERRANO))
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-shipit(int upaid, int bn)
-{ return; }
-
-#else	/* lint */
-
 /*
  * Ship mondo to aid using busy/nack pair bn
  */
@@ -673,20 +532,9 @@
 	nop
 	SET_SIZE(shipit)
 
-#endif	/* lint */
-
 #endif	/* !(JALAPENO || SERRANO) */
 
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-flush_instr_mem(caddr_t vaddr, size_t len)
-{}
-
-#else	/* lint */
-
 /*
  * flush_instr_mem:
  *	Flush 1 page of the I-$ starting at vaddr
@@ -705,20 +553,9 @@
 	nop
 	SET_SIZE(flush_instr_mem)
 
-#endif	/* lint */
 
-
 #if defined(CPU_IMP_ECACHE_ASSOC)
 
-#if defined(lint)
-
-/* ARGSUSED */
-uint64_t
-get_ecache_ctrl(void)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(get_ecache_ctrl)
 	GET_CPU_IMPL(%o0)
 	cmp	%o0, JAGUAR_IMPL
@@ -738,8 +575,6 @@
 	  nop
 	SET_SIZE(get_ecache_ctrl)
 
-#endif	/* lint */
-
 #endif	/* CPU_IMP_ECACHE_ASSOC */
 
 
@@ -751,15 +586,7 @@
  *	%o1 - ecache size
  *	%o2 - ecache linesize
  */
-#if defined(lint)
 
-/*ARGSUSED*/
-void
-flush_ecache(uint64_t physaddr, size_t ecache_size, size_t ecache_linesize)
-{}
-
-#else /* !lint */
-
 	ENTRY(flush_ecache)
 
 	/*
@@ -777,19 +604,9 @@
 	nop
 	SET_SIZE(flush_ecache)
 
-#endif /* lint */
-
 #endif	/* !(JALAPENO || SERRANO) */
 
 
-#if defined(lint)
-
-void
-flush_dcache(void)
-{}
-
-#else	/* lint */
-
 	ENTRY(flush_dcache)
 	ASM_LD(%o0, dcache_size)
 	ASM_LD(%o1, dcache_linesize)
@@ -798,17 +615,7 @@
 	nop
 	SET_SIZE(flush_dcache)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-
-void
-flush_icache(void)
-{}
-
-#else	/* lint */
-
 	ENTRY(flush_icache)
 	GET_CPU_PRIVATE_PTR(%g0, %o0, %o2, flush_icache_1);
 	ld	[%o0 + CHPR_ICACHE_LINESIZE], %o1
@@ -823,19 +630,6 @@
 	nop
 	SET_SIZE(flush_icache)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-kdi_flush_idcache(int dcache_size, int dcache_lsize, int icache_size, 
-    int icache_lsize)
-{
-}
-
-#else	/* lint */
-
 	ENTRY(kdi_flush_idcache)
 	CH_DCACHE_FLUSHALL(%o0, %o1, %g1)
 	CH_ICACHE_FLUSHALL(%o2, %o3, %g1, %g2)
@@ -844,16 +638,6 @@
 	nop
 	SET_SIZE(kdi_flush_idcache)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-void
-flush_pcache(void)
-{}
-
-#else	/* lint */
-
 	ENTRY(flush_pcache)
 	PCACHE_FLUSHALL(%o0, %o1, %o2)
 	retl
@@ -860,20 +644,9 @@
 	nop
 	SET_SIZE(flush_pcache)
 
-#endif	/* lint */
 
-
 #if defined(CPU_IMP_L1_CACHE_PARITY)
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-get_dcache_dtag(uint32_t dcache_idx, uint64_t *data)
-{}
-
-#else	/* lint */
-
 /*
  * Get dcache data and tag.  The Dcache data is a pointer to a ch_dc_data_t
  * structure (see cheetahregs.h):
@@ -951,18 +724,7 @@
 	  wrpr	%g0, %o5, %pstate	
 	SET_SIZE(get_dcache_dtag)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-
-/* ARGSUSED */
-void
-get_icache_dtag(uint32_t ecache_idx, uint64_t *data)
-{}
-
-#else	/* lint */
-
 /*
  * Get icache data and tag.  The data argument is a pointer to a ch_ic_data_t
  * structure (see cheetahregs.h):
@@ -1004,17 +766,6 @@
 	  wrpr	%g0, %o5, %pstate	
 	SET_SIZE(get_icache_dtag)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/* ARGSUSED */
-void
-get_pcache_dtag(uint32_t pcache_idx, uint64_t *data)
-{}
-
-#else	/* lint */
-
 /*
  * Get pcache data and tags.
  * inputs:
@@ -1050,19 +801,8 @@
 	  wrpr	%g0, %o5, %pstate	
 	SET_SIZE(get_pcache_dtag)
 
-#endif	/* lint */
-
 #endif	/* CPU_IMP_L1_CACHE_PARITY */
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-set_dcu(uint64_t dcu)
-{}
-
-#else	/* lint */
-
 /*
  * re-enable the i$, d$, w$, and p$ according to bootup cache state.
  * Turn on WE, HPE, SPE, PE, IC, and DC bits defined as DCU_CACHE.
@@ -1075,19 +815,7 @@
 	nop
 	SET_SIZE(set_dcu)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-
-uint64_t
-get_dcu(void)
-{
-	return ((uint64_t)0);
-}
-
-#else	/* lint */
-
 /*
  * Return DCU register.
  */
@@ -1097,8 +825,6 @@
 	nop
 	SET_SIZE(get_dcu)
 
-#endif	/* lint */
-
 /*
  * Cheetah/Cheetah+ level 15 interrupt handler trap table entry.
  *
@@ -1109,29 +835,12 @@
  * NB: Must be 8 instructions or less to fit in trap table and code must
  *     be relocatable.
  */
-#if defined(lint)
 
-void
-ch_pil15_interrupt_instr(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(ch_pil15_interrupt_instr)
 	ASM_JMP(%g1, ch_pil15_interrupt)
 	SET_SIZE(ch_pil15_interrupt_instr)
 
-#endif
 
-
-#if defined(lint)
-
-void
-ch_pil15_interrupt(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(ch_pil15_interrupt)
 
 	/*
@@ -1185,7 +894,6 @@
 	  mov	PIL_15, %g4
 
 	SET_SIZE(ch_pil15_interrupt)
-#endif
 
 
 /*
@@ -1278,14 +986,6 @@
  *     be relocatable.
  */
 
-#if defined(lint)
-
-void
-fecc_err_instr(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(fecc_err_instr)
 	membar	#Sync			! Cheetah requires membar #Sync
 
@@ -1300,19 +1000,9 @@
 	ASM_JMP(%g4, fast_ecc_err)
 	SET_SIZE(fecc_err_instr)
 
-#endif	/* lint */
 
-
 #if !(defined(JALAPENO) || defined(SERRANO))
 
-#if defined(lint)
-
-void
-fast_ecc_err(void)
-{}
-
-#else	/* lint */
-
 	.section ".text"
 	.align	64
 	ENTRY_NP(fast_ecc_err)
@@ -1452,8 +1142,6 @@
 
 	SET_SIZE(fast_ecc_err)
 
-#endif	/* lint */
-
 #endif	/* !(JALAPENO || SERRANO) */
 
 
@@ -1511,20 +1199,10 @@
  *     be relocatable.
  */
 
-#if defined(lint)
-
-void
-fecc_err_tl1_instr(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(fecc_err_tl1_instr)
 	CH_ERR_TL1_TRAPENTRY(SWTRAP_0);
 	SET_SIZE(fecc_err_tl1_instr)
 
-#endif	/* lint */
-
 /*
  * Software trap 0 at TL>0.
  * tt1_swtrap0 is replaced by fecc_err_tl1_cont_instr in cpu_init_trap of
@@ -1537,29 +1215,12 @@
  * NB: Must be 8 instructions or less to fit in trap table and code must
  *     be relocatable.
  */
-#if defined(lint)
 
-void
-fecc_err_tl1_cont_instr(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(fecc_err_tl1_cont_instr)
 	CH_ERR_TL1_SWTRAPENTRY(fast_ecc_tl1_err)
 	SET_SIZE(fecc_err_tl1_cont_instr)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-
-void
-ce_err(void)
-{}
-
-#else	/* lint */
-
 /*
  * The ce_err function handles disrupting trap type 0x63 at TL=0.
  *
@@ -1738,21 +1399,7 @@
 	  movl	%icc, PIL_14, %g4
 	SET_SIZE(ce_err)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-
-/*
- * This trap cannot happen at TL>0 which means this routine will never
- * actually be called and so we treat this like a BAD TRAP panic.
- */
-void
-ce_err_tl1(void)
-{}
-
-#else	/* lint */
-
 	.align	64
 	ENTRY_NP(ce_err_tl1)
 
@@ -1761,17 +1408,7 @@
 
 	SET_SIZE(ce_err_tl1)
 
-#endif	/* lint */
-
 	
-#if defined(lint)
-
-void
-async_err(void)
-{}
-
-#else	/* lint */
-
 /*
  * The async_err function handles deferred trap types 0xA 
  * (instruction_access_error) and 0x32 (data_access_error) at TL>=0.
@@ -1969,8 +1606,6 @@
 	  mov	PIL_15, %g4		! run at pil 15
 	SET_SIZE(async_err)
 
-#endif	/* lint */
-
 #if defined(CPU_IMP_L1_CACHE_PARITY)
 
 /*
@@ -1981,13 +1616,6 @@
  * NB: Must be 8 instructions or less to fit in trap table and code must
  *     be relocatable.
  */
-#if defined(lint)
-
-void
-dcache_parity_instr(void)
-{}
-
-#else	/* lint */
 	ENTRY_NP(dcache_parity_instr)
 	membar	#Sync			! Cheetah+ requires membar #Sync
 	set	cpu_parity_error, %g1
@@ -1998,9 +1626,7 @@
 	  mov	PIL_15, %g4		! run at pil 15
 	SET_SIZE(dcache_parity_instr)
 
-#endif	/* lint */
 
-
 /*
  * D$ parity error trap (trap 71) at TL>0.
  * tt1_dperr is replaced by dcache_parity_tl1_instr in cpu_init_trap of
@@ -2010,20 +1636,11 @@
  * NB: Must be 8 instructions or less to fit in trap table and code must
  *     be relocatable.
  */
-#if defined(lint)
-
-void
-dcache_parity_tl1_instr(void)
-{}
-
-#else	/* lint */
 	ENTRY_NP(dcache_parity_tl1_instr)
 	CH_ERR_TL1_TRAPENTRY(SWTRAP_1);
 	SET_SIZE(dcache_parity_tl1_instr)
 
-#endif	/* lint */
 
-
 /*
  * Software trap 1 at TL>0.
  * tt1_swtrap1 is replaced by dcache_parity_tl1_cont_instr in cpu_init_trap
@@ -2036,32 +1653,16 @@
  * NB: Must be 8 instructions or less to fit in trap table and code must
  *     be relocatable.
  */
-#if defined(lint)
-
-void
-dcache_parity_tl1_cont_instr(void)
-{}
-
-#else	/* lint */
 	ENTRY_NP(dcache_parity_tl1_cont_instr)
 	CH_ERR_TL1_SWTRAPENTRY(dcache_parity_tl1_err);
 	SET_SIZE(dcache_parity_tl1_cont_instr)
 
-#endif	/* lint */
-
 /*
  * D$ parity error at TL>0 handler
  * We get here via trap 71 at TL>0->Software trap 1 at TL>0.  We enter
  * this routine with %g1 and %g2 already saved in %tpc, %tnpc and %tstate.
  */
-#if defined(lint)
 
-void
-dcache_parity_tl1_err(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(dcache_parity_tl1_err)
 
 	/*
@@ -2152,8 +1753,6 @@
 	CH_ERR_TL1_EXIT;
 	SET_SIZE(dcache_parity_tl1_err)
 
-#endif	/* lint */
-
 /*
  * I$ parity error trap (trap 72) at TL=0.
  * tt0_iperr is replaced by icache_parity_instr in cpu_init_trap of
@@ -2162,14 +1761,7 @@
  * NB: Must be 8 instructions or less to fit in trap table and code must
  *     be relocatable.
  */
-#if defined(lint)
 
-void
-icache_parity_instr(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(icache_parity_instr)
 	membar	#Sync			! Cheetah+ requires membar #Sync
 	set	cpu_parity_error, %g1
@@ -2180,8 +1772,6 @@
 	  mov	PIL_15, %g4		! run at pil 15
 	SET_SIZE(icache_parity_instr)
 
-#endif	/* lint */
-
 /*
  * I$ parity error trap (trap 72) at TL>0.
  * tt1_iperr is replaced by icache_parity_tl1_instr in cpu_init_trap of
@@ -2191,19 +1781,10 @@
  * NB: Must be 8 instructions or less to fit in trap table and code must
  *     be relocatable.
  */
-#if defined(lint)
-
-void
-icache_parity_tl1_instr(void)
-{}
-
-#else	/* lint */
 	ENTRY_NP(icache_parity_tl1_instr)
 	CH_ERR_TL1_TRAPENTRY(SWTRAP_2);
 	SET_SIZE(icache_parity_tl1_instr)
 
-#endif	/* lint */
-
 /*
  * Software trap 2 at TL>0.
  * tt1_swtrap2 is replaced by icache_parity_tl1_cont_instr in cpu_init_trap
@@ -2216,33 +1797,17 @@
  * NB: Must be 8 instructions or less to fit in trap table and code must
  *     be relocatable.
  */
-#if defined(lint)
-
-void
-icache_parity_tl1_cont_instr(void)
-{}
-
-#else	/* lint */
 	ENTRY_NP(icache_parity_tl1_cont_instr)
 	CH_ERR_TL1_SWTRAPENTRY(icache_parity_tl1_err);
 	SET_SIZE(icache_parity_tl1_cont_instr)
 
-#endif	/* lint */
 
-
 /*
  * I$ parity error at TL>0 handler
  * We get here via trap 72 at TL>0->Software trap 2 at TL>0.  We enter
  * this routine with %g1 and %g2 already saved in %tpc, %tnpc and %tstate.
  */
-#if defined(lint)
 
-void
-icache_parity_tl1_err(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(icache_parity_tl1_err)
 
 	/*
@@ -2318,8 +1883,6 @@
 
 	SET_SIZE(icache_parity_tl1_err)
 
-#endif	/* lint */
-
 #endif	/* CPU_IMP_L1_CACHE_PARITY */
 
 
@@ -2332,15 +1895,6 @@
  * Note: These two routines are required by the Estar "cpr" loadable module.
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-itlb_rd_entry(uint_t entry, tte_t *tte, uint64_t *va_tag)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(itlb_rd_entry)
 	sllx	%o0, 3, %o0
 	ldxa	[%o0]ASI_ITLB_ACCESS, %g1
@@ -2352,18 +1906,7 @@
 	  stx	%o5, [%o2]
 	SET_SIZE(itlb_rd_entry)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-
-/* ARGSUSED */
-void
-dtlb_rd_entry(uint_t entry, tte_t *tte, uint64_t *va_tag)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(dtlb_rd_entry)
 	sllx	%o0, 3, %o0
 	ldxa	[%o0]ASI_DTLB_ACCESS, %g1
@@ -2374,19 +1917,10 @@
 	retl
 	  stx	%o5, [%o2]
 	SET_SIZE(dtlb_rd_entry)
-#endif	/* lint */
 
 
 #if !(defined(JALAPENO) || defined(SERRANO))
 
-#if defined(lint)
-
-uint64_t
-get_safari_config(void)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(get_safari_config)
 	ldxa	[%g0]ASI_SAFARI_CONFIG, %o0
 	retl
@@ -2393,18 +1927,7 @@
 	nop
 	SET_SIZE(get_safari_config)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-
-/* ARGSUSED */
-void
-set_safari_config(uint64_t safari_config)
-{}
-
-#else	/* lint */
-
 	ENTRY(set_safari_config)
 	stxa	%o0, [%g0]ASI_SAFARI_CONFIG
 	membar	#Sync
@@ -2412,18 +1935,9 @@
 	nop
 	SET_SIZE(set_safari_config)
 
-#endif	/* lint */
-
 #endif	/* !(JALAPENO || SERRANO) */
 
 
-#if defined(lint)
-
-void
-cpu_cleartickpnt(void)
-{}
-
-#else	/* lint */
 	/*
 	 * Clear the NPT (non-privileged trap) bit in the %tick/%stick
 	 * registers. In an effort to make the change in the
@@ -2463,26 +1977,9 @@
 	
 	SET_SIZE(cpu_clearticknpt)
 
-#endif	/* lint */
 
-
 #if defined(CPU_IMP_L1_CACHE_PARITY)
 
-#if defined(lint)
-/*
- * correct_dcache_parity(size_t size, size_t linesize)
- *
- * Correct D$ data parity by zeroing the data and initializing microtag
- * for all indexes and all ways of the D$.
- * 
- */
-/* ARGSUSED */
-void
-correct_dcache_parity(size_t size, size_t linesize)
-{}
-
-#else	/* lint */
-
 	ENTRY(correct_dcache_parity)
 	/*
 	 * Register Usage:
@@ -2544,23 +2041,9 @@
 	  nop
 	SET_SIZE(correct_dcache_parity)
 
-#endif	/* lint */
-
 #endif	/* CPU_IMP_L1_CACHE_PARITY */
 
 
-#if defined(lint)
-/*
- *  Get timestamp (stick).
- */
-/* ARGSUSED */
-void
-stick_timestamp(int64_t *ts)
-{
-}
-
-#else	/* lint */
-
 	ENTRY_NP(stick_timestamp)
 	rd	STICK, %g1	! read stick reg
 	sllx	%g1, 1, %g1
@@ -2570,21 +2053,7 @@
 	stx     %g1, [%o0]	! store the timestamp
 	SET_SIZE(stick_timestamp)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-/*
- * Set STICK adjusted by skew.
- */
-/* ARGSUSED */	
-void
-stick_adj(int64_t skew)
-{
-}
-
-#else	/* lint */
-		
 	ENTRY_NP(stick_adj)
 	rdpr	%pstate, %g1		! save processor state
 	andn	%g1, PSTATE_IE, %g3
@@ -2602,21 +2071,6 @@
 	wrpr	%g1, %pstate		! restore processor state
 	SET_SIZE(stick_adj)
 
-#endif	/* lint */
-
-#if defined(lint)
-/*
- * Debugger-specific stick retrieval
- */
-/*ARGSUSED*/
-int
-kdi_get_stick(uint64_t *stickp)
-{
-	return (0);
-}
-
-#else	/* lint */
-
 	ENTRY_NP(kdi_get_stick)
 	rd	STICK, %g1
 	stx	%g1, [%o0]
@@ -2624,47 +2078,6 @@
 	mov	%g0, %o0
 	SET_SIZE(kdi_get_stick)
 
-#endif	/* lint */
-
-#if defined(lint)
-/*
- * Invalidate the specified line from the D$.
- *
- * Register usage:
- *	%o0 - index for the invalidation, specifies DC_way and DC_addr
- *
- * ASI_DC_TAG, 0x47, is used in the following manner. A 64-bit value is
- * stored to a particular DC_way and DC_addr in ASI_DC_TAG.
- *
- * The format of the stored 64-bit value is:
- *
- *	+----------+--------+----------+
- *	| Reserved | DC_tag | DC_valid |
- *	+----------+--------+----------+
- *       63      31 30     1	      0
- *
- * DC_tag is the 30-bit physical tag of the associated line.
- * DC_valid is the 1-bit valid field for both the physical and snoop tags.
- *
- * The format of the 64-bit DC_way and DC_addr into ASI_DC_TAG is:
- *
- *	+----------+--------+----------+----------+
- *	| Reserved | DC_way | DC_addr  | Reserved |
- *	+----------+--------+----------+----------+
- *       63      16 15    14 13       5 4        0
- *
- * DC_way is a 2-bit index that selects one of the 4 ways.
- * DC_addr is a 9-bit index that selects one of 512 tag/valid fields.
- *
- * Setting the DC_valid bit to zero for the specified DC_way and
- * DC_addr index into the D$ results in an invalidation of a D$ line.
- */
-/*ARGSUSED*/
-void
-dcache_inval_line(int index)
-{
-}
-#else	/* lint */
 	ENTRY(dcache_inval_line)
 	sll	%o0, 5, %o0		! shift index into DC_way and DC_addr
 	stxa	%g0, [%o0]ASI_DC_TAG	! zero the DC_valid and DC_tag bits
@@ -2672,62 +2085,7 @@
 	retl
 	nop
 	SET_SIZE(dcache_inval_line)
-#endif	/* lint */
 
-#if defined(lint)
-/*
- * Invalidate the entire I$
- *
- * Register usage:
- *	%o0 - specifies IC_way, IC_addr, IC_tag
- *	%o1 - scratch
- *	%o2 - used to save and restore DCU value
- *	%o3 - scratch
- *	%o5 - used to save and restore PSTATE
- *
- * Due to the behavior of the I$ control logic when accessing ASI_IC_TAG,
- * the I$ should be turned off. Accesses to ASI_IC_TAG may collide and
- * block out snoops and invalidates to the I$, causing I$ consistency
- * to be broken. Before turning on the I$, all I$ lines must be invalidated.
- *
- * ASI_IC_TAG, 0x67, is used in the following manner. A 64-bit value is
- * stored to a particular IC_way, IC_addr, IC_tag in ASI_IC_TAG. The
- * info below describes store (write) use of ASI_IC_TAG. Note that read
- * use of ASI_IC_TAG behaves differently.
- *
- * The format of the stored 64-bit value is:
- *
- *	+----------+--------+---------------+-----------+
- *	| Reserved | Valid  | IC_vpred<7:0> | Undefined |
- *	+----------+--------+---------------+-----------+
- *       63      55    54    53           46 45        0
- *
- * Valid is the 1-bit valid field for both the physical and snoop tags.
- * IC_vpred is the 8-bit LPB bits for 8 instructions starting at
- *	the 32-byte boundary aligned address specified by IC_addr.
- *
- * The format of the 64-bit IC_way, IC_addr, IC_tag into ASI_IC_TAG is:
- *
- *	+----------+--------+---------+--------+---------+
- *	| Reserved | IC_way | IC_addr | IC_tag |Reserved |
- *	+----------+--------+---------+--------+---------+
- *       63      16 15    14 13      5 4      3 2       0
- *
- * IC_way is a 2-bit index that selects one of the 4 ways.
- * IC_addr[13:6] is an 8-bit index that selects one of 256 valid fields.
- * IC_addr[5] is a "don't care" for a store.
- * IC_tag set to 2 specifies that the stored value is to be interpreted
- *	as containing Valid and IC_vpred as described above.
- *
- * Setting the Valid bit to zero for the specified IC_way and
- * IC_addr index into the I$ results in an invalidation of an I$ line.
- */
-/*ARGSUSED*/
-void
-icache_inval_all(void)
-{
-}
-#else	/* lint */
 	ENTRY(icache_inval_all)
 	rdpr	%pstate, %o5
 	andn	%o5, PSTATE_IE, %o3
@@ -2746,17 +2104,8 @@
 	retl
 	wrpr	%g0, %o5, %pstate	! restore earlier pstate
 	SET_SIZE(icache_inval_all)
-#endif	/* lint */
 
 
-#if defined(lint)
-/* ARGSUSED */
-void
-cache_scrubreq_tl1(uint64_t inum, uint64_t index)
-{
-}
-
-#else	/* lint */
 /*
  * cache_scrubreq_tl1 is the crosstrap handler called on offlined cpus via a 
  * crosstrap.  It atomically increments the outstanding request counter and,
@@ -2794,18 +2143,7 @@
 	retry
 	SET_SIZE(cache_scrubreq_tl1)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-
-/* ARGSUSED */
-void
-get_cpu_error_state(ch_cpu_errors_t *cpu_error_regs)
-{}
-
-#else	/* lint */
-
 /*
  * Get the error state for the processor.
  * Note that this must not be used at TL>0
@@ -2853,27 +2191,7 @@
 	retl
 	stx	%o1, [%o0 + CH_CPU_ERRORS_AFAR]
 	SET_SIZE(get_cpu_error_state)
-#endif	/* lint */
 
-#if defined(lint)
-
-/*
- * Check a page of memory for errors.
- *
- * Load each 64 byte block from physical memory.
- * Check AFSR after each load to see if an error
- * was caused. If so, log/scrub that error.
- *
- * Used to determine if a page contains
- * CEs when CEEN is disabled.
- */
-/*ARGSUSED*/
-void
-cpu_check_block(caddr_t va, uint_t psz)
-{}
-
-#else	/* lint */
-
 	ENTRY(cpu_check_block)
 	!
 	! get a new window with room for the error regs
@@ -2912,22 +2230,6 @@
 
 	SET_SIZE(cpu_check_block)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/*
- * Perform a cpu logout called from C.  This is used where we did not trap
- * for the error but still want to gather "what we can".  Caller must make
- * sure cpu private area exists and that the indicated logout area is free
- * for use, and that we are unable to migrate cpus.
- */
-/*ARGSUSED*/
-void
-cpu_delayed_logout(uint64_t afar, ch_cpu_logout_t *clop)
-{ }
-
-#else
 	ENTRY(cpu_delayed_logout)
 	rdpr	%pstate, %o2
 	andn	%o2, PSTATE_IE, %o2
@@ -2946,17 +2248,6 @@
 	  nop
 	SET_SIZE(cpu_delayed_logout)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/*ARGSUSED*/
-int
-dtrace_blksuword32(uintptr_t addr, uint32_t *data, int tryagain)
-{ return (0); }
-
-#else
-
 	ENTRY(dtrace_blksuword32)
 	save	%sp, -SA(MINFRAME + 4), %sp
 
@@ -3021,19 +2312,8 @@
 
 	SET_SIZE(dtrace_blksuword32)
 
-#endif /* lint */
-
 #ifdef	CHEETAHPLUS_ERRATUM_25
 
-#if	defined(lint)
-/*
- * Claim a chunk of physical address space.
- */
-/*ARGSUSED*/
-void
-claimlines(uint64_t pa, size_t sz, int stride)
-{}
-#else	/* lint */
 	ENTRY(claimlines)
 1:
 	subcc	%o1, %o2, %o1
@@ -3044,19 +2324,7 @@
 	retl
 	nop
 	SET_SIZE(claimlines)
-#endif	/* lint */
 
-#if	defined(lint)
-/*
- * CPU feature initialization,
- * turn BPE off,
- * get device id.
- */
-/*ARGSUSED*/
-void
-cpu_feature_init(void)
-{}
-#else	/* lint */
 	ENTRY(cpu_feature_init)
 	save	%sp, -SA(MINFRAME), %sp
 	sethi	%hi(cheetah_bpe_off), %o0
@@ -3089,18 +2357,7 @@
 	ret
 	  restore
 	SET_SIZE(cpu_feature_init)
-#endif	/* lint */
 
-#if	defined(lint)
-/*
- * Copy a tsb entry atomically, from src to dest.
- * src must be 128 bit aligned.
- */
-/*ARGSUSED*/
-void
-copy_tsb_entry(uintptr_t src, uintptr_t dest)
-{}
-#else	/* lint */
 	ENTRY(copy_tsb_entry)
 	ldda	[%o0]ASI_NQUAD_LD, %o2		! %o2 = tag, %o3 = data
 	stx	%o2, [%o1]
@@ -3108,21 +2365,11 @@
 	retl
 	nop
 	SET_SIZE(copy_tsb_entry)
-#endif	/* lint */
 
 #endif	/* CHEETAHPLUS_ERRATUM_25 */
 
 #ifdef	CHEETAHPLUS_ERRATUM_34
 
-#if	defined(lint)
-
-/*ARGSUSED*/
-void
-itlb_erratum34_fixup(void)
-{}
-
-#else	/* lint */
-
 	!
 	! In Cheetah+ erratum 34, under certain conditions an ITLB locked
 	! index 0 TTE will erroneously be displaced when a new TTE is
@@ -3187,17 +2434,6 @@
 	  wrpr	%g0, %o3, %pstate		! Enable interrupts
 	SET_SIZE(itlb_erratum34_fixup)
 
-#endif	/* lint */
-
-#if	defined(lint)
-
-/*ARGSUSED*/
-void
-dtlb_erratum34_fixup(void)
-{}
-
-#else	/* lint */
-
 	!
 	! In Cheetah+ erratum 34, under certain conditions a DTLB locked
 	! index 0 TTE will erroneously be displaced when a new TTE is
@@ -3256,7 +2492,5 @@
 	  wrpr	%g0, %o3, %pstate		! Enable interrupts
 	SET_SIZE(dtlb_erratum34_fixup)
 
-#endif	/* lint */
-
 #endif	/* CHEETAHPLUS_ERRATUM_34 */
 
--- old/usr/src/uts/sun4u/cpu/us3_jalapeno_asm.s	Thu Nov 14 19:00:43 2019
+++ new/usr/src/uts/sun4u/cpu/us3_jalapeno_asm.s	Thu Nov 14 19:00:43 2019
@@ -26,11 +26,7 @@
  * Assembly code support for the jalapeno module
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
-#if !defined(lint)
 #include "assym.h"
-#endif	/* lint */
 
 #include <sys/asm_linkage.h>
 #include <sys/mmu.h>
@@ -54,8 +50,6 @@
 #include <sys/traptrace.h>
 #endif /* TRAPTRACE */
 
-#if !defined(lint)
-
 /* BEGIN CSTYLED */
 
 #if defined(JALAPENO) && defined(JALAPENO_ERRATA_85)
@@ -324,17 +318,6 @@
 
 /* END CSTYLED */
 
-#endif	/* !lint */
-
-#if defined(lint)
-
-/* ARGSUSED */
-void
-shipit(int upaid, int bn)
-{ return; }
-
-#else	/* lint */
-
 /*
  * Ship mondo to aid using implicit busy/nack pair (bn ignored)
  */
@@ -347,9 +330,7 @@
 	nop
 	SET_SIZE(shipit)
 
-#endif	/* lint */
 
-
 /*
  * flush_ecache:
  *	%o0 - 64 bit physical address
@@ -356,15 +337,7 @@
  *	%o1 - ecache size
  *	%o2 - ecache linesize
  */
-#if defined(lint)
 
-/*ARGSUSED*/
-void
-flush_ecache(uint64_t physaddr, size_t ecache_size, size_t ecache_linesize)
-{}
-
-#else /* !lint */
-
 	ENTRY(flush_ecache)
 #if defined(JALAPENO) && defined(JALAPENO_ERRATA_85)
 	CHK_JP_ERRATA85_ENABLED(%g1, flush_ecache_1);
@@ -387,17 +360,7 @@
 	nop
 	SET_SIZE(flush_ecache)
 
-#endif /* lint */
 
-
-#if defined(lint)
-
-void
-fast_ecc_err(void)
-{}
-
-#else	/* lint */
-
 	.section ".text"
 	.align	64
 	ENTRY_NP(fast_ecc_err)
@@ -528,9 +491,7 @@
 
 	SET_SIZE(fast_ecc_err)
 
-#endif	/* lint */
 
-
 /*
  * Fast ECC error at TL>0 handler
  * We get here via trap 70 at TL>0->Software trap 0 at TL>0.  We enter
@@ -539,14 +500,7 @@
  * comment block "Cheetah/Cheetah+ Fast ECC at TL>0 trap strategy" in
  * us3_common_asm.s
  */
-#if defined(lint)
 
-void
-fast_ecc_tl1_err(void)
-{}
-
-#else	/* lint */
-
 	.section ".text"
 	.align	64
 	ENTRY_NP(fast_ecc_tl1_err)
@@ -770,31 +724,7 @@
 
 	SET_SIZE(fast_ecc_tl1_err)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-
-uint64_t
-get_jbus_config(void)
-{ return (0); }
-
-/* ARGSUSED */
-void
-set_jbus_config(uint64_t jbus_config)
-{}
-
-/* ARGSUSED */
-void
-set_mcu_ctl_reg1(uint64_t mcu_ctl)
-{}
-
-uint64_t
-get_mcu_ctl_reg1(void)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(get_jbus_config)
 	ldxa	[%g0]ASI_JBUS_CONFIG, %o0
 	retl
@@ -823,38 +753,7 @@
 	nop
 	SET_SIZE(set_mcu_ctl_reg1)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-/*
- * scrubphys - Pass in the aligned physical memory address
- * that you want to scrub, along with the ecache set size.
- *
- *	1) Displacement flush the E$ line corresponding to %addr.
- *	   The first ldxa guarantees that the %addr is no longer in
- *	   M, O, or E (goes to I or S (if instruction fetch also happens).
- *	2) "Write" the data using a CAS %addr,%g0,%g0.
- *	   The casxa guarantees a transition from I to M or S to M.
- *	3) Displacement flush the E$ line corresponding to %addr.
- *	   The second ldxa pushes the M line out of the ecache, into the
- *	   writeback buffers, on the way to memory.
- *	4) The "membar #Sync" pushes the cache line out of the writeback
- *	   buffers onto the bus, on the way to dram finally.
- *
- * This is a modified version of the algorithm suggested by Gary Lauterbach.
- * In theory the CAS %addr,%g0,%g0 is supposed to mark the addr's cache line
- * as modified, but then we found out that for spitfire, if it misses in the
- * E$ it will probably install as an M, but if it hits in the E$, then it
- * will stay E, if the store doesn't happen. So the first displacement flush
- * should ensure that the CAS will miss in the E$.  Arrgh.
- */
-/* ARGSUSED */
-void
-scrubphys(uint64_t paddr, int ecache_set_size)
-{}
-
-#else	/* lint */
 	ENTRY(scrubphys)
 	rdpr	%pstate, %o4
 	andn	%o4, PSTATE_IE | PSTATE_AM, %o5
@@ -882,27 +781,7 @@
 	membar	#Sync			! move the data out of the load buffer
 	SET_SIZE(scrubphys)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-/*
- * clearphys - Pass in the physical memory address of the checkblock
- * that you want to push out, cleared with a recognizable pattern,
- * from the ecache.
- *
- * To ensure that the ecc gets recalculated after the bad data is cleared,
- * we must write out enough data to fill the w$ line (64 bytes). So we read
- * in an entire ecache subblock's worth of data, and write it back out.
- * Then we overwrite the 16 bytes of bad data with the pattern.
- */
-/* ARGSUSED */
-void
-clearphys(uint64_t paddr, int ecache_set_size, int ecache_linesize)
-{
-}
-
-#else	/* lint */
 	ENTRY(clearphys)
 	/* turn off IE, AM bits */
 	rdpr	%pstate, %o4
@@ -962,23 +841,7 @@
 	  wrpr	%g0, %o4, %pstate
 	SET_SIZE(clearphys)
 
-#endif	/* lint */
-	
 
-#if defined(lint)
-/*
- * Jalapeno Ecache displacement flush the specified line from the E$
- *
- * Register usage:
- *	%o0 - 64 bit physical address for flushing
- *	%o1 - Ecache set size
- */
-/*ARGSUSED*/
-void
-ecache_flush_line(uint64_t flushaddr, int ec_set_size)
-{
-}
-#else	/* lint */
 	ENTRY(ecache_flush_line)
 
 #if defined(JALAPENO) && defined(JALAPENO_ERRATA_85)
@@ -998,7 +861,6 @@
 	retl
 	  nop
 	SET_SIZE(ecache_flush_line)
-#endif	/* lint */
 
 
 /*
@@ -1007,12 +869,6 @@
  * CPU's internal "invalidate FIFOs" are flushed.
  */
 
-#if defined(lint)
-void
-jbus_stst_order()
-{}
-#else	/* lint */
-
 #define	VIS_BLOCKSIZE	64
 
 	.seg    ".data"
@@ -1035,21 +891,8 @@
 	membar  #Sync
 	SET_SIZE(jbus_stst_order)
 
-#endif	/* lint */
-
-#if defined(lint)
-/*
- * This routine will not be called in Jalapeno systems.
- */
-void
-flush_ipb(void)
-{ return; }
-
-#else	/* lint */
-
 	ENTRY(flush_ipb)
 	retl
 	nop
 	SET_SIZE(flush_ipb)
 
-#endif	/* lint */
--- old/usr/src/uts/sun4u/daktari/ml/daktari_asm.s	Thu Nov 14 19:00:43 2019
+++ new/usr/src/uts/sun4u/daktari/ml/daktari_asm.s	Thu Nov 14 19:00:43 2019
@@ -24,13 +24,7 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
-#if defined(lint)
-#include <sys/types.h>
-#else
 #include "assym.h"
-#endif /* lint */
 
 #include <sys/asm_linkage.h>
 #include <sys/param.h>
@@ -49,24 +43,6 @@
 #include <sys/fsr.h>
 #include <sys/cheetahregs.h>
 
-#if defined(lint)
-
-/* ARGSUSED */
-uint64_t
-lddmcdecode(uint64_t physaddr)
-{
-	return (0x0ull);
-}
-
-/* ARGSUSED */
-uint64_t
-lddsafaddr(uint64_t physaddr)
-{
-	return (0x0ull);
-}
-
-#else /* !lint */
-
 !
 ! Load the safari address for a specific cpu
 !
@@ -115,4 +91,3 @@
 	wrpr	%g0, %o4, %pstate	! restore earlier pstate register value
 	SET_SIZE(lddmcdecode)
 
-#endif /* lint */
